summaryrefslogtreecommitdiff
path: root/tools/windows_packaging
diff options
context:
space:
mode:
authorTim Mayberry <mojofunk@gmail.com>2013-08-06 19:20:18 +1000
committerTim Mayberry <mojofunk@gmail.com>2013-12-07 20:48:19 +1000
commitf25c7081c989da71c05af0ea3b39d1ab75da74b0 (patch)
treea5c1ece70ef8af83e7ca4317ea19f181a48ba7df /tools/windows_packaging
parent31d1164d3f55b62194b0617c9a917df793d2a30e (diff)
Add script to copy package directory to directory shared by VM
directory path set in ARDOUR_VM_SHARE_DIR
Diffstat (limited to 'tools/windows_packaging')
-rwxr-xr-xtools/windows_packaging/cptovmshare.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tools/windows_packaging/cptovmshare.sh b/tools/windows_packaging/cptovmshare.sh
new file mode 100755
index 0000000000..f447f57b5c
--- /dev/null
+++ b/tools/windows_packaging/cptovmshare.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+. ./mingw-env.sh
+
+cd $BASE || exit 1
+
+if [ -z $ARDOUR_VM_SHARE_DIR ]
+then
+ echo "You must set ARDOUR_VM_SHARE_DIR in your environment to use this script!"
+ exit 1
+fi
+
+if [ -d $ARDOUR_VM_SHARE_DIR/$PACKAGE_DIR ]; then
+ echo "Removing $PACKAGE_DIR from vm share directory ..."
+ rm -rf $ARDOUR_VM_SHARE_DIR/$PACKAGE_DIR || exit 1
+fi
+
+echo "Copying $PACKAGE_DIR to vm share directory $ARDOUR_VM_SHARE_DIR ..."
+cp -r $PACKAGE_DIR $ARDOUR_VM_SHARE_DIR || exit 1